=== debian/changelog ===
hsc (1.0b-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * debian/watch: Create, along with pgpsigurlmangle.
  * debian/upstream/signing-key.asc: Add upstream signing key.
  * debian/rules:
    - Convert to minimal dh sequencer.
    - Use dh-autotools_dev.
  * debian/compat: Indicate compatibility level of 9.
  * debian/control:
    - Build-depend on debhelper (>= 9) and autotools-dev.
    - Add Homepage field.
    - Bump Standards-Version to 3.9.6.
  * debian/source/format: Indicate 3.0 (quilt) format.
  * debian/copyright: Switch to DEP-5 format.
  * debian/patches:
    - destdir.patch: Use DESTDIR so that files are installed correctly.
    - isblank.patch: Use upstream patch to fix static redefinition.
    - pref_path.patch: Adapt existing patch to also change Makefile.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 08 Dec 2015 01:02:38 -0500

hsc (0.934-1ubuntu2) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Aug 2007 08:05:26 +0000

hsc (0.934-1ubuntu1) breezy; urgency=low

  * It's Build-Depends, not Build-Depends-Indep, if "debian/rules build"
    requires it.

 -- LaMont Jones <lamont@ubuntu.com>  Sat,  3 Sep 2005 20:52:22 -0600

hsc (0.934-1) unstable; urgency=low

  * Initial Release.

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 20 Feb 2004 13:26:26 +0100
