=== debian/control ===
Source: hsc
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Lorenzo Martignoni <lorenzo.martignoni@poste.it>
Build-Depends: debhelper (>= 9), autotools-dev
Standards-Version: 3.9.6
Homepage: https://github.com/mbethke/hsc

Package: hsc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: html sucks completely, a developer tool for HTML projects
 It can be used on any HTML file and creates a new HTML file as output. In the
 input file, you may use an extended syntax based on HTML, which allows for
 things like macros, conditionals, variables, expressions etc.
 .
 It is mainly intended for creating and maintaining larger HTML projects.
 As a commandline tool, it can be used together with `make', and a
 dependency generator is included.
 .
 Hsc is not a tool to make HTML easier for beginners; it's a tool
 to make HTML a bit less painful and brain-damaged for people who
 already know how to work with it.
