=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://towiski.de/binaries/hsc-(.+).tar.bz2
